autotest.hh File Reference
`#include <climits>`
`#include <boost/test/unit_test.hpp>`
`#include <boost/test/tools/floating_point_comparison.hpp>`
`#include <miaconfig.h>`
`#include <mia/core/cmdlineparser.hh>`
`#include <mia/core/plugin_base.hh>`
`#include <mia/internal/main.hh>`
`#include <boost/mpl/vector.hpp>`
Include dependency graph for autotest.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | BOOST_TEST_DYN_LINK
#define | BOOST_TEST_MAIN
#define | BOOST_TEST_NO_MAIN

## Functions

int BOOST_TEST_CALL_DECL | do_main (int argc, char *argv[])
| MIA_MAIN (do_main)
void | test_pluginsets (const std::set< std::string > &plugins, const std::set< std::string > &test_data)

## Variables

const mia::SProgramDescription | description

## Macro Definition Documentation

## BOOST_TEST_DYN_LINK

#define BOOST_TEST_DYN_LINK

Definition at line 31 of file autotest.hh.

## BOOST_TEST_MAIN

#define BOOST_TEST_MAIN

Definition at line 34 of file autotest.hh.

## BOOST_TEST_NO_MAIN

#define BOOST_TEST_NO_MAIN

Definition at line 35 of file autotest.hh.

## Function Documentation

## do_main()

int BOOST_TEST_CALL_DECL do_main | ( | int | argc,
|  | char * | argv[] )

Definition at line 68 of file autotest.hh.

References description.

Referenced by MIA_MAIN().

## MIA_MAIN()

MIA_MAIN | ( | do_main |  | ) |

References do_main().

## test_pluginsets()

void test_pluginsets | ( | const std::set< std::string > & | plugins,
|  | const std::set< std::string > & | test_data )

Definition at line 54 of file autotest.hh.

## Variable Documentation

## description

const mia::SProgramDescription description

Initial value:
= {
{mia::pdi_group, "Test"},
{mia::pdi_short, "Unit test."},
{mia::pdi_description, "This program runs a set of tests."},
{mia::pdi_example_descr, "Example text"},
{mia::pdi_example_code, ""}
}

Definition at line 46 of file autotest.hh.

Referenced by CCmdOptionList::CCmdOptionList(), and do_main().